API Documentation
Kuali Research REST APIs - Institutional Proposal
Research Institutional Proposal ¶
Indirectcost Rate Types ¶
Get Indirectcost Rate Types by KeyGET/instprop/api/v1/indirectcost-rate-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"indirectcostRateTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Indirectcost Rate TypesGET/instprop/api/v1/indirectcost-rate-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"indirectcostRateTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"indirectcostRateTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Indirectcost Rate Types with FilteringGET/instprop/api/v1/indirectcost-rate-types/
Example URI
- indirectcostRateTypeCode
string(optional)Indirectcost Rate Type Code. Maximum length is 22. Validating pattern is ^[0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"indirectcostRateTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"indirectcostRateTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Indirectcost Rate TypesGET/instprop/api/v1/indirectcost-rate-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"indirectcostRateTypeCode",
"description"
],
"primaryKey": "indirectcostRateTypeCode"
}Get Blueprint API specification for Indirectcost Rate TypesGET/instprop/api/v1/indirectcost-rate-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Indirectcost Rate Types.md"
transfer-encoding: chunkedUpdate Indirectcost Rate TypesPUT/instprop/api/v1/indirectcost-rate-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"indirectcostRateTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Indirectcost Rate TypesPUT/instprop/api/v1/indirectcost-rate-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"indirectcostRateTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"indirectcostRateTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Indirectcost Rate TypesPATCH/instprop/api/v1/indirectcost-rate-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"indirectcostRateTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Body
{
"indirectcostRateTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Indirectcost Rate TypesPOST/instprop/api/v1/indirectcost-rate-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"indirectcostRateTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}201Body
{
"indirectcostRateTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Indirectcost Rate TypesPOST/instprop/api/v1/indirectcost-rate-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"indirectcostRateTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"indirectcostRateTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"indirectcostRateTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"indirectcostRateTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Indirectcost Rate Types by KeyDELETE/instprop/api/v1/indirectcost-rate-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Indirectcost Rate TypesDELETE/instprop/api/v1/indirectcost-rate-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Indirectcost Rate Types with MatchingDELETE/instprop/api/v1/indirectcost-rate-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- indirectcostRateTypeCode
string(optional)Indirectcost Rate Type Code. Maximum length is 22. Validating pattern is ^[0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Institutional Proposal Attachment Types ¶
Get Institutional Proposal Attachment Types by KeyGET/instprop/api/v1/institutional-proposal-attachment-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"attachmentTypeCode": "(val)",
"description": "(val)",
"allowMultiple": "(val)",
"_primaryKey": "(val)"
}Get All Institutional Proposal Attachment TypesGET/instprop/api/v1/institutional-proposal-attachment-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"attachmentTypeCode": "(val)",
"description": "(val)",
"allowMultiple": "(val)",
"_primaryKey": "(val)"
},
{
"attachmentTypeCode": "(val)",
"description": "(val)",
"allowMultiple": "(val)",
"_primaryKey": "(val)"
}
]Get All Institutional Proposal Attachment Types with FilteringGET/instprop/api/v1/institutional-proposal-attachment-types/
Example URI
- attachmentTypeCode
string(optional)Code. Maximum length is 3. Validating pattern is ^[0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
- allowMultiple
string(optional)allowMultiple. Maximum length is 1. Validating pattern is ^[\p{Graph}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"attachmentTypeCode": "(val)",
"description": "(val)",
"allowMultiple": "(val)",
"_primaryKey": "(val)"
},
{
"attachmentTypeCode": "(val)",
"description": "(val)",
"allowMultiple": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Institutional Proposal Attachment TypesGET/instprop/api/v1/institutional-proposal-attachment-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"attachmentTypeCode",
"description",
"allowMultiple"
],
"primaryKey": "attachmentTypeCode"
}Get Blueprint API specification for Institutional Proposal Attachment TypesGET/instprop/api/v1/institutional-proposal-attachment-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Attachment Types.md"
transfer-encoding: chunkedUpdate Institutional Proposal Attachment TypesPUT/instprop/api/v1/institutional-proposal-attachment-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"attachmentTypeCode": "(val)",
"description": "(val)",
"allowMultiple": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Institutional Proposal Attachment TypesPUT/instprop/api/v1/institutional-proposal-attachment-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"attachmentTypeCode": "(val)",
"description": "(val)",
"allowMultiple": "(val)",
"_primaryKey": "(val)"
},
{
"attachmentTypeCode": "(val)",
"description": "(val)",
"allowMultiple": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Institutional Proposal Attachment TypesPATCH/instprop/api/v1/institutional-proposal-attachment-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"attachmentTypeCode": "(val)",
"description": "(val)",
"allowMultiple": "(val)",
"_primaryKey": "(val)"
}204Body
{
"attachmentTypeCode": "(val)",
"description": "(val)",
"allowMultiple": "(val)",
"_primaryKey": "(val)"
}Insert Institutional Proposal Attachment TypesPOST/instprop/api/v1/institutional-proposal-attachment-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"attachmentTypeCode": "(val)",
"description": "(val)",
"allowMultiple": "(val)",
"_primaryKey": "(val)"
}201Body
{
"attachmentTypeCode": "(val)",
"description": "(val)",
"allowMultiple": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Institutional Proposal Attachment TypesPOST/instprop/api/v1/institutional-proposal-attachment-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"attachmentTypeCode": "(val)",
"description": "(val)",
"allowMultiple": "(val)",
"_primaryKey": "(val)"
},
{
"attachmentTypeCode": "(val)",
"description": "(val)",
"allowMultiple": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"attachmentTypeCode": "(val)",
"description": "(val)",
"allowMultiple": "(val)",
"_primaryKey": "(val)"
},
{
"attachmentTypeCode": "(val)",
"description": "(val)",
"allowMultiple": "(val)",
"_primaryKey": "(val)"
}
]Delete Institutional Proposal Attachment Types by KeyDELETE/instprop/api/v1/institutional-proposal-attachment-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Institutional Proposal Attachment TypesDELETE/instprop/api/v1/institutional-proposal-attachment-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Institutional Proposal Attachment Types with MatchingDELETE/instprop/api/v1/institutional-proposal-attachment-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- attachmentTypeCode
string(optional)Code. Maximum length is 3. Validating pattern is ^[0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
- allowMultiple
string(optional)allowMultiple. Maximum length is 1. Validating pattern is ^[\p{Graph}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Institutional Proposal Attachments ¶
Get Institutional Proposal Attachments by KeyGET/instprop/api/v1/institutional-proposal-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"proposalAttachmentId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"fileDataId": "(val)",
"sequenceNumber": "(val)",
"attachmentNumber": "(val)",
"attachmentTitle": "(val)",
"attachmentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"comments": "(val)",
"documentStatusCode": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}Get All Institutional Proposal AttachmentsGET/instprop/api/v1/institutional-proposal-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"proposalAttachmentId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"fileDataId": "(val)",
"sequenceNumber": "(val)",
"attachmentNumber": "(val)",
"attachmentTitle": "(val)",
"attachmentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"comments": "(val)",
"documentStatusCode": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"proposalAttachmentId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"fileDataId": "(val)",
"sequenceNumber": "(val)",
"attachmentNumber": "(val)",
"attachmentTitle": "(val)",
"attachmentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"comments": "(val)",
"documentStatusCode": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]Get All Institutional Proposal Attachments with FilteringGET/instprop/api/v1/institutional-proposal-attachments/
Example URI
- proposalAttachmentId
string(optional)- proposalId
string(optional)- proposalNumber
string(optional)- fileDataId
string(optional)- sequenceNumber
string(optional)- attachmentNumber
string(optional)- attachmentTitle
string(optional)Description. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- attachmentTypeCode
string(optional)Code. Maximum length is 3. Validating pattern is ^[0-9]*$.
- fileName
string(optional)Id. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- contentType
string(optional)- comments
string(optional)Comments. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- documentStatusCode
string(optional)- lastUpdateTimestamp
string(optional)The creation or last modification timestamp. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- lastUpdateUser
string(optional)The user who created or last modified the object. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"proposalAttachmentId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"fileDataId": "(val)",
"sequenceNumber": "(val)",
"attachmentNumber": "(val)",
"attachmentTitle": "(val)",
"attachmentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"comments": "(val)",
"documentStatusCode": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"proposalAttachmentId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"fileDataId": "(val)",
"sequenceNumber": "(val)",
"attachmentNumber": "(val)",
"attachmentTitle": "(val)",
"attachmentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"comments": "(val)",
"documentStatusCode": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Institutional Proposal AttachmentsGET/instprop/api/v1/institutional-proposal-attachments/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"proposalAttachmentId",
"proposalId",
"proposalNumber",
"fileDataId",
"sequenceNumber",
"attachmentNumber",
"attachmentTitle",
"attachmentTypeCode",
"fileName",
"contentType",
"comments",
"documentStatusCode",
"lastUpdateTimestamp",
"lastUpdateUser"
],
"primaryKey": "proposalAttachmentId"
}Get Blueprint API specification for Institutional Proposal AttachmentsGET/instprop/api/v1/institutional-proposal-attachments/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Attachments.md"
transfer-encoding: chunkedUpdate Institutional Proposal AttachmentsPUT/instprop/api/v1/institutional-proposal-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"proposalAttachmentId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"fileDataId": "(val)",
"sequenceNumber": "(val)",
"attachmentNumber": "(val)",
"attachmentTitle": "(val)",
"attachmentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"comments": "(val)",
"documentStatusCode": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Institutional Proposal AttachmentsPUT/instprop/api/v1/institutional-proposal-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"proposalAttachmentId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"fileDataId": "(val)",
"sequenceNumber": "(val)",
"attachmentNumber": "(val)",
"attachmentTitle": "(val)",
"attachmentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"comments": "(val)",
"documentStatusCode": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"proposalAttachmentId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"fileDataId": "(val)",
"sequenceNumber": "(val)",
"attachmentNumber": "(val)",
"attachmentTitle": "(val)",
"attachmentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"comments": "(val)",
"documentStatusCode": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Institutional Proposal AttachmentsPATCH/instprop/api/v1/institutional-proposal-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"proposalAttachmentId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"fileDataId": "(val)",
"sequenceNumber": "(val)",
"attachmentNumber": "(val)",
"attachmentTitle": "(val)",
"attachmentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"comments": "(val)",
"documentStatusCode": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}204Body
{
"proposalAttachmentId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"fileDataId": "(val)",
"sequenceNumber": "(val)",
"attachmentNumber": "(val)",
"attachmentTitle": "(val)",
"attachmentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"comments": "(val)",
"documentStatusCode": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}Insert Institutional Proposal AttachmentsPOST/instprop/api/v1/institutional-proposal-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"proposalAttachmentId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"fileDataId": "(val)",
"sequenceNumber": "(val)",
"attachmentNumber": "(val)",
"attachmentTitle": "(val)",
"attachmentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"comments": "(val)",
"documentStatusCode": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}201Body
{
"proposalAttachmentId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"fileDataId": "(val)",
"sequenceNumber": "(val)",
"attachmentNumber": "(val)",
"attachmentTitle": "(val)",
"attachmentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"comments": "(val)",
"documentStatusCode": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Institutional Proposal AttachmentsPOST/instprop/api/v1/institutional-proposal-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"proposalAttachmentId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"fileDataId": "(val)",
"sequenceNumber": "(val)",
"attachmentNumber": "(val)",
"attachmentTitle": "(val)",
"attachmentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"comments": "(val)",
"documentStatusCode": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"proposalAttachmentId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"fileDataId": "(val)",
"sequenceNumber": "(val)",
"attachmentNumber": "(val)",
"attachmentTitle": "(val)",
"attachmentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"comments": "(val)",
"documentStatusCode": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"proposalAttachmentId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"fileDataId": "(val)",
"sequenceNumber": "(val)",
"attachmentNumber": "(val)",
"attachmentTitle": "(val)",
"attachmentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"comments": "(val)",
"documentStatusCode": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"proposalAttachmentId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"fileDataId": "(val)",
"sequenceNumber": "(val)",
"attachmentNumber": "(val)",
"attachmentTitle": "(val)",
"attachmentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"comments": "(val)",
"documentStatusCode": "(val)",
"lastUpdateTimestamp": "(val)",
"lastUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]Delete Institutional Proposal Attachments by KeyDELETE/instprop/api/v1/institutional-proposal-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Institutional Proposal AttachmentsDELETE/instprop/api/v1/institutional-proposal-attachments/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Institutional Proposal Attachments with MatchingDELETE/instprop/api/v1/institutional-proposal-attachments/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- proposalAttachmentId
string(optional)- proposalId
string(optional)- proposalNumber
string(optional)- fileDataId
string(optional)- sequenceNumber
string(optional)- attachmentNumber
string(optional)- attachmentTitle
string(optional)Description. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- attachmentTypeCode
string(optional)Code. Maximum length is 3. Validating pattern is ^[0-9]*$.
- fileName
string(optional)Id. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- contentType
string(optional)- comments
string(optional)Comments. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- documentStatusCode
string(optional)- lastUpdateTimestamp
string(optional)The creation or last modification timestamp. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- lastUpdateUser
string(optional)The user who created or last modified the object. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Institutional Proposal Comments ¶
Get Institutional Proposal Comments by KeyGET/instprop/api/v1/institutional-proposal-comments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"proposalCommentsId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}Get All Institutional Proposal CommentsGET/instprop/api/v1/institutional-proposal-comments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"proposalCommentsId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"proposalCommentsId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]Get All Institutional Proposal Comments with FilteringGET/instprop/api/v1/institutional-proposal-comments/
Example URI
- proposalCommentsId
string(optional)Proposal Comments Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- proposalId
string(optional)Proposal Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- proposalNumber
string(optional)Proposal Number. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.
- sequenceNumber
string(optional)Sequence Number. Maximum length is 22. Validating pattern is ^[0-9]*$.
- commentTypeCode
string(optional)Comment Type Code. Maximum length is 22. Validating pattern is ^[A-Za-z0-9-]*$.
- comments
string(optional)Comments. Maximum length is 4000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"proposalCommentsId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"proposalCommentsId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Institutional Proposal CommentsGET/instprop/api/v1/institutional-proposal-comments/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"proposalCommentsId",
"proposalId",
"proposalNumber",
"sequenceNumber",
"commentTypeCode",
"comments"
],
"primaryKey": "proposalCommentsId"
}Get Blueprint API specification for Institutional Proposal CommentsGET/instprop/api/v1/institutional-proposal-comments/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Comments.md"
transfer-encoding: chunkedUpdate Institutional Proposal CommentsPUT/instprop/api/v1/institutional-proposal-comments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"proposalCommentsId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Institutional Proposal CommentsPUT/instprop/api/v1/institutional-proposal-comments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"proposalCommentsId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"proposalCommentsId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Institutional Proposal CommentsPATCH/instprop/api/v1/institutional-proposal-comments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"proposalCommentsId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}204Body
{
"proposalCommentsId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}Insert Institutional Proposal CommentsPOST/instprop/api/v1/institutional-proposal-comments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"proposalCommentsId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}201Body
{
"proposalCommentsId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Institutional Proposal CommentsPOST/instprop/api/v1/institutional-proposal-comments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"proposalCommentsId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"proposalCommentsId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"proposalCommentsId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"proposalCommentsId": "(val)",
"proposalId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]Delete Institutional Proposal Comments by KeyDELETE/instprop/api/v1/institutional-proposal-comments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Institutional Proposal CommentsDELETE/instprop/api/v1/institutional-proposal-comments/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Institutional Proposal Comments with MatchingDELETE/instprop/api/v1/institutional-proposal-comments/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- proposalCommentsId
string(optional)Proposal Comments Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- proposalId
string(optional)Proposal Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- proposalNumber
string(optional)Proposal Number. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.
- sequenceNumber
string(optional)Sequence Number. Maximum length is 22. Validating pattern is ^[0-9]*$.
- commentTypeCode
string(optional)Comment Type Code. Maximum length is 22. Validating pattern is ^[A-Za-z0-9-]*$.
- comments
string(optional)Comments. Maximum length is 4000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Institutional Proposal Custom Data ¶
Get Institutional Proposal Custom Data by KeyGET/instprop/api/v1/institutional-proposal-custom-data/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"proposalCustomDataId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
}Get All Institutional Proposal Custom DataGET/instprop/api/v1/institutional-proposal-custom-data/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"proposalCustomDataId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
},
{
"proposalCustomDataId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
}
]Get All Institutional Proposal Custom Data with FilteringGET/instprop/api/v1/institutional-proposal-custom-data/
Example URI
- proposalCustomDataId
string(optional)Proposal Custom Data Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- proposalNumber
string(optional)Proposal Number. Maximum length is 10. Validating pattern is ^[A-Za-z0-9]*$.
- sequenceNumber
string(optional)Sequence Number. Maximum length is 22. Validating pattern is ^[0-9]*$.
- customAttributeId
string(optional)Custom Attribute Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- value
string(optional)Value. Maximum length is 2000. Validating pattern is ^[\u0000-\uFFFF]*$.
- institutionalProposal.proposalId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"proposalCustomDataId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
},
{
"proposalCustomDataId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Institutional Proposal Custom DataGET/instprop/api/v1/institutional-proposal-custom-data/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"proposalCustomDataId",
"proposalNumber",
"sequenceNumber",
"customAttributeId",
"value",
"institutionalProposal.proposalId"
],
"primaryKey": "proposalCustomDataId"
}Get Blueprint API specification for Institutional Proposal Custom DataGET/instprop/api/v1/institutional-proposal-custom-data/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Custom Data.md"
transfer-encoding: chunkedInstitutional Proposal Notepads ¶
Get Institutional Proposal Notepads by KeyGET/instprop/api/v1/institutional-proposal-notepads/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"proposalNotepadId": "(val)",
"proposalNumber": "(val)",
"entryNumber": "(val)",
"noteTopic": "(val)",
"comments": "(val)",
"restrictedView": "(val)",
"noteId": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
}Get All Institutional Proposal NotepadsGET/instprop/api/v1/institutional-proposal-notepads/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"proposalNotepadId": "(val)",
"proposalNumber": "(val)",
"entryNumber": "(val)",
"noteTopic": "(val)",
"comments": "(val)",
"restrictedView": "(val)",
"noteId": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
},
{
"proposalNotepadId": "(val)",
"proposalNumber": "(val)",
"entryNumber": "(val)",
"noteTopic": "(val)",
"comments": "(val)",
"restrictedView": "(val)",
"noteId": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
}
]Get All Institutional Proposal Notepads with FilteringGET/instprop/api/v1/institutional-proposal-notepads/
Example URI
- proposalNotepadId
string(optional)Proposal Notepad Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- proposalNumber
string(optional)Proposal Number. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.
- entryNumber
string(optional)Entry Number. Maximum length is 22. Validating pattern is ^[0-9]*$.
- noteTopic
string(optional)Comments. Maximum length is 60. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- comments
string(optional)Comments. Maximum length is 4000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- restrictedView
string(optional)Restricted View. Maximum length is 1. Validating pattern is .*.
- noteId
string(optional)- createTimestamp
string(optional)Posted Timestamp. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- createUser
string(optional)- institutionalProposal.proposalId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"proposalNotepadId": "(val)",
"proposalNumber": "(val)",
"entryNumber": "(val)",
"noteTopic": "(val)",
"comments": "(val)",
"restrictedView": "(val)",
"noteId": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
},
{
"proposalNotepadId": "(val)",
"proposalNumber": "(val)",
"entryNumber": "(val)",
"noteTopic": "(val)",
"comments": "(val)",
"restrictedView": "(val)",
"noteId": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Institutional Proposal NotepadsGET/instprop/api/v1/institutional-proposal-notepads/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"proposalNotepadId",
"proposalNumber",
"entryNumber",
"noteTopic",
"comments",
"restrictedView",
"noteId",
"createTimestamp",
"createUser",
"institutionalProposal.proposalId"
],
"primaryKey": "proposalNotepadId"
}Get Blueprint API specification for Institutional Proposal NotepadsGET/instprop/api/v1/institutional-proposal-notepads/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Notepads.md"
transfer-encoding: chunkedInstitutional Proposal Person Credit Splits ¶
Get Institutional Proposal Person Credit Splits by KeyGET/instprop/api/v1/institutional-proposal-person-credit-splits/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"institutionalProposalPersonCreditSplitId": "(val)",
"institutionalProposalContactId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}Get All Institutional Proposal Person Credit SplitsGET/instprop/api/v1/institutional-proposal-person-credit-splits/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"institutionalProposalPersonCreditSplitId": "(val)",
"institutionalProposalContactId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonCreditSplitId": "(val)",
"institutionalProposalContactId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}
]Get All Institutional Proposal Person Credit Splits with FilteringGET/instprop/api/v1/institutional-proposal-person-credit-splits/
Example URI
- institutionalProposalPersonCreditSplitId
string(optional)- institutionalProposalContactId
string(optional)- invCreditTypeCode
string(optional)- credit
string(optional)Credit. Maximum length is 6. Validating pattern is ^([0-9]{0,4}.[0-9]{1,2}|[0-9]{1,4})$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"institutionalProposalPersonCreditSplitId": "(val)",
"institutionalProposalContactId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonCreditSplitId": "(val)",
"institutionalProposalContactId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Institutional Proposal Person Credit SplitsGET/instprop/api/v1/institutional-proposal-person-credit-splits/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"institutionalProposalPersonCreditSplitId",
"institutionalProposalContactId",
"invCreditTypeCode",
"credit"
],
"primaryKey": "institutionalProposalPersonCreditSplitId"
}Get Blueprint API specification for Institutional Proposal Person Credit SplitsGET/instprop/api/v1/institutional-proposal-person-credit-splits/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Person Credit Splits.md"
transfer-encoding: chunkedUpdate Institutional Proposal Person Credit SplitsPUT/instprop/api/v1/institutional-proposal-person-credit-splits/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"institutionalProposalPersonCreditSplitId": "(val)",
"institutionalProposalContactId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Institutional Proposal Person Credit SplitsPUT/instprop/api/v1/institutional-proposal-person-credit-splits/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"institutionalProposalPersonCreditSplitId": "(val)",
"institutionalProposalContactId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonCreditSplitId": "(val)",
"institutionalProposalContactId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Institutional Proposal Person Credit SplitsPATCH/instprop/api/v1/institutional-proposal-person-credit-splits/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"institutionalProposalPersonCreditSplitId": "(val)",
"institutionalProposalContactId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}204Body
{
"institutionalProposalPersonCreditSplitId": "(val)",
"institutionalProposalContactId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}Insert Institutional Proposal Person Credit SplitsPOST/instprop/api/v1/institutional-proposal-person-credit-splits/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"institutionalProposalPersonCreditSplitId": "(val)",
"institutionalProposalContactId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}201Body
{
"institutionalProposalPersonCreditSplitId": "(val)",
"institutionalProposalContactId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Institutional Proposal Person Credit SplitsPOST/instprop/api/v1/institutional-proposal-person-credit-splits/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"institutionalProposalPersonCreditSplitId": "(val)",
"institutionalProposalContactId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonCreditSplitId": "(val)",
"institutionalProposalContactId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"institutionalProposalPersonCreditSplitId": "(val)",
"institutionalProposalContactId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonCreditSplitId": "(val)",
"institutionalProposalContactId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}
]Delete Institutional Proposal Person Credit Splits by KeyDELETE/instprop/api/v1/institutional-proposal-person-credit-splits/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Institutional Proposal Person Credit SplitsDELETE/instprop/api/v1/institutional-proposal-person-credit-splits/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Institutional Proposal Person Credit Splits with MatchingDELETE/instprop/api/v1/institutional-proposal-person-credit-splits/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- institutionalProposalPersonCreditSplitId
string(optional)- institutionalProposalContactId
string(optional)- invCreditTypeCode
string(optional)- credit
string(optional)Credit. Maximum length is 6. Validating pattern is ^([0-9]{0,4}.[0-9]{1,2}|[0-9]{1,4})$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Institutional Proposal Person Mass Changes ¶
Get Institutional Proposal Person Mass Changes by KeyGET/instprop/api/v1/institutional-proposal-person-mass-changes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"institutionalProposalPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"investigator": "(val)",
"keyStudyPerson": "(val)",
"unitContact": "(val)",
"mailingInformation": "(val)",
"ipReviewer": "(val)",
"_primaryKey": "(val)"
}Get All Institutional Proposal Person Mass ChangesGET/instprop/api/v1/institutional-proposal-person-mass-changes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"institutionalProposalPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"investigator": "(val)",
"keyStudyPerson": "(val)",
"unitContact": "(val)",
"mailingInformation": "(val)",
"ipReviewer": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"investigator": "(val)",
"keyStudyPerson": "(val)",
"unitContact": "(val)",
"mailingInformation": "(val)",
"ipReviewer": "(val)",
"_primaryKey": "(val)"
}
]Get All Institutional Proposal Person Mass Changes with FilteringGET/instprop/api/v1/institutional-proposal-person-mass-changes/
Example URI
- institutionalProposalPersonMassChangeId
string(optional)Institutional Proposal Person Mass Change Id. Maximum length is 12. Validating pattern is ^[0-9]*$.
- personMassChangeId
string(optional)Person Mass Change Id. Maximum length is 12. Validating pattern is ^[0-9]*$.
- investigator
string(optional)Investigator. Maximum length is 1. Validating pattern is .*.
- keyStudyPerson
string(optional)Key Study Person. Maximum length is 1. Validating pattern is .*.
- unitContact
string(optional)Unit Contact. Maximum length is 1. Validating pattern is .*.
- mailingInformation
string(optional)Mailing Information. Maximum length is 1. Validating pattern is .*.
- ipReviewer
string(optional)IP Reviewer. Maximum length is 1. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"institutionalProposalPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"investigator": "(val)",
"keyStudyPerson": "(val)",
"unitContact": "(val)",
"mailingInformation": "(val)",
"ipReviewer": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"investigator": "(val)",
"keyStudyPerson": "(val)",
"unitContact": "(val)",
"mailingInformation": "(val)",
"ipReviewer": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Institutional Proposal Person Mass ChangesGET/instprop/api/v1/institutional-proposal-person-mass-changes/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"institutionalProposalPersonMassChangeId",
"personMassChangeId",
"investigator",
"keyStudyPerson",
"unitContact",
"mailingInformation",
"ipReviewer"
],
"primaryKey": "institutionalProposalPersonMassChangeId"
}Get Blueprint API specification for Institutional Proposal Person Mass ChangesGET/instprop/api/v1/institutional-proposal-person-mass-changes/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Person Mass Changes.md"
transfer-encoding: chunkedUpdate Institutional Proposal Person Mass ChangesPUT/instprop/api/v1/institutional-proposal-person-mass-changes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"institutionalProposalPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"investigator": "(val)",
"keyStudyPerson": "(val)",
"unitContact": "(val)",
"mailingInformation": "(val)",
"ipReviewer": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Institutional Proposal Person Mass ChangesPUT/instprop/api/v1/institutional-proposal-person-mass-changes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"institutionalProposalPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"investigator": "(val)",
"keyStudyPerson": "(val)",
"unitContact": "(val)",
"mailingInformation": "(val)",
"ipReviewer": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"investigator": "(val)",
"keyStudyPerson": "(val)",
"unitContact": "(val)",
"mailingInformation": "(val)",
"ipReviewer": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Institutional Proposal Person Mass ChangesPATCH/instprop/api/v1/institutional-proposal-person-mass-changes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"institutionalProposalPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"investigator": "(val)",
"keyStudyPerson": "(val)",
"unitContact": "(val)",
"mailingInformation": "(val)",
"ipReviewer": "(val)",
"_primaryKey": "(val)"
}204Body
{
"institutionalProposalPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"investigator": "(val)",
"keyStudyPerson": "(val)",
"unitContact": "(val)",
"mailingInformation": "(val)",
"ipReviewer": "(val)",
"_primaryKey": "(val)"
}Insert Institutional Proposal Person Mass ChangesPOST/instprop/api/v1/institutional-proposal-person-mass-changes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"institutionalProposalPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"investigator": "(val)",
"keyStudyPerson": "(val)",
"unitContact": "(val)",
"mailingInformation": "(val)",
"ipReviewer": "(val)",
"_primaryKey": "(val)"
}201Body
{
"institutionalProposalPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"investigator": "(val)",
"keyStudyPerson": "(val)",
"unitContact": "(val)",
"mailingInformation": "(val)",
"ipReviewer": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Institutional Proposal Person Mass ChangesPOST/instprop/api/v1/institutional-proposal-person-mass-changes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"institutionalProposalPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"investigator": "(val)",
"keyStudyPerson": "(val)",
"unitContact": "(val)",
"mailingInformation": "(val)",
"ipReviewer": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"investigator": "(val)",
"keyStudyPerson": "(val)",
"unitContact": "(val)",
"mailingInformation": "(val)",
"ipReviewer": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"institutionalProposalPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"investigator": "(val)",
"keyStudyPerson": "(val)",
"unitContact": "(val)",
"mailingInformation": "(val)",
"ipReviewer": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"investigator": "(val)",
"keyStudyPerson": "(val)",
"unitContact": "(val)",
"mailingInformation": "(val)",
"ipReviewer": "(val)",
"_primaryKey": "(val)"
}
]Delete Institutional Proposal Person Mass Changes by KeyDELETE/instprop/api/v1/institutional-proposal-person-mass-changes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Institutional Proposal Person Mass ChangesDELETE/instprop/api/v1/institutional-proposal-person-mass-changes/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Institutional Proposal Person Mass Changes with MatchingDELETE/instprop/api/v1/institutional-proposal-person-mass-changes/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- institutionalProposalPersonMassChangeId
string(optional)Institutional Proposal Person Mass Change Id. Maximum length is 12. Validating pattern is ^[0-9]*$.
- personMassChangeId
string(optional)Person Mass Change Id. Maximum length is 12. Validating pattern is ^[0-9]*$.
- investigator
string(optional)Investigator. Maximum length is 1. Validating pattern is .*.
- keyStudyPerson
string(optional)Key Study Person. Maximum length is 1. Validating pattern is .*.
- unitContact
string(optional)Unit Contact. Maximum length is 1. Validating pattern is .*.
- mailingInformation
string(optional)Mailing Information. Maximum length is 1. Validating pattern is .*.
- ipReviewer
string(optional)IP Reviewer. Maximum length is 1. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Institutional Proposal Person Unit Credit Splits ¶
Get Institutional Proposal Person Unit Credit Splits by KeyGET/instprop/api/v1/institutional-proposal-person-unit-credit-splits/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"institutionalProposalPersonUnitCreditSplitId": "(val)",
"institutionalProposalPersonUnitId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}Get All Institutional Proposal Person Unit Credit SplitsGET/instprop/api/v1/institutional-proposal-person-unit-credit-splits/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"institutionalProposalPersonUnitCreditSplitId": "(val)",
"institutionalProposalPersonUnitId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonUnitCreditSplitId": "(val)",
"institutionalProposalPersonUnitId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}
]Get All Institutional Proposal Person Unit Credit Splits with FilteringGET/instprop/api/v1/institutional-proposal-person-unit-credit-splits/
Example URI
- institutionalProposalPersonUnitCreditSplitId
string(optional)- institutionalProposalPersonUnitId
string(optional)- invCreditTypeCode
string(optional)- credit
string(optional)Credit. Maximum length is 6. Validating pattern is ^([0-9]{0,4}.[0-9]{1,2}|[0-9]{1,4})$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"institutionalProposalPersonUnitCreditSplitId": "(val)",
"institutionalProposalPersonUnitId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonUnitCreditSplitId": "(val)",
"institutionalProposalPersonUnitId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Institutional Proposal Person Unit Credit SplitsGET/instprop/api/v1/institutional-proposal-person-unit-credit-splits/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"institutionalProposalPersonUnitCreditSplitId",
"institutionalProposalPersonUnitId",
"invCreditTypeCode",
"credit"
],
"primaryKey": "institutionalProposalPersonUnitCreditSplitId"
}Get Blueprint API specification for Institutional Proposal Person Unit Credit SplitsGET/instprop/api/v1/institutional-proposal-person-unit-credit-splits/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Person Unit Credit Splits.md"
transfer-encoding: chunkedUpdate Institutional Proposal Person Unit Credit SplitsPUT/instprop/api/v1/institutional-proposal-person-unit-credit-splits/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"institutionalProposalPersonUnitCreditSplitId": "(val)",
"institutionalProposalPersonUnitId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Institutional Proposal Person Unit Credit SplitsPUT/instprop/api/v1/institutional-proposal-person-unit-credit-splits/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"institutionalProposalPersonUnitCreditSplitId": "(val)",
"institutionalProposalPersonUnitId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonUnitCreditSplitId": "(val)",
"institutionalProposalPersonUnitId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Institutional Proposal Person Unit Credit SplitsPATCH/instprop/api/v1/institutional-proposal-person-unit-credit-splits/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"institutionalProposalPersonUnitCreditSplitId": "(val)",
"institutionalProposalPersonUnitId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}204Body
{
"institutionalProposalPersonUnitCreditSplitId": "(val)",
"institutionalProposalPersonUnitId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}Insert Institutional Proposal Person Unit Credit SplitsPOST/instprop/api/v1/institutional-proposal-person-unit-credit-splits/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"institutionalProposalPersonUnitCreditSplitId": "(val)",
"institutionalProposalPersonUnitId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}201Body
{
"institutionalProposalPersonUnitCreditSplitId": "(val)",
"institutionalProposalPersonUnitId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Institutional Proposal Person Unit Credit SplitsPOST/instprop/api/v1/institutional-proposal-person-unit-credit-splits/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"institutionalProposalPersonUnitCreditSplitId": "(val)",
"institutionalProposalPersonUnitId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonUnitCreditSplitId": "(val)",
"institutionalProposalPersonUnitId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"institutionalProposalPersonUnitCreditSplitId": "(val)",
"institutionalProposalPersonUnitId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonUnitCreditSplitId": "(val)",
"institutionalProposalPersonUnitId": "(val)",
"invCreditTypeCode": "(val)",
"credit": "(val)",
"_primaryKey": "(val)"
}
]Delete Institutional Proposal Person Unit Credit Splits by KeyDELETE/instprop/api/v1/institutional-proposal-person-unit-credit-splits/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Institutional Proposal Person Unit Credit SplitsDELETE/instprop/api/v1/institutional-proposal-person-unit-credit-splits/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Institutional Proposal Person Unit Credit Splits with MatchingDELETE/instprop/api/v1/institutional-proposal-person-unit-credit-splits/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- institutionalProposalPersonUnitCreditSplitId
string(optional)- institutionalProposalPersonUnitId
string(optional)- invCreditTypeCode
string(optional)- credit
string(optional)Credit. Maximum length is 6. Validating pattern is ^([0-9]{0,4}.[0-9]{1,2}|[0-9]{1,4})$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Institutional Proposal Person Units ¶
Get Institutional Proposal Person Units by KeyGET/instprop/api/v1/institutional-proposal-person-units/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"institutionalProposalPersonUnitId": "(val)",
"institutionalProposalContactId": "(val)",
"unitNumber": "(val)",
"leadUnit": "(val)",
"_primaryKey": "(val)"
}Get All Institutional Proposal Person UnitsGET/instprop/api/v1/institutional-proposal-person-units/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"institutionalProposalPersonUnitId": "(val)",
"institutionalProposalContactId": "(val)",
"unitNumber": "(val)",
"leadUnit": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonUnitId": "(val)",
"institutionalProposalContactId": "(val)",
"unitNumber": "(val)",
"leadUnit": "(val)",
"_primaryKey": "(val)"
}
]Get All Institutional Proposal Person Units with FilteringGET/instprop/api/v1/institutional-proposal-person-units/
Example URI
- institutionalProposalPersonUnitId
string(optional)InstitutionalProposalPersonUnit ID. Maximum length is 8. Validating pattern is ^[0-9]*$.
- institutionalProposalContactId
string(optional)- unitNumber
string(optional)Unit Number. Maximum length is 20. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- leadUnit
string(optional)Lead Unit flag. Maximum length is 1. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"institutionalProposalPersonUnitId": "(val)",
"institutionalProposalContactId": "(val)",
"unitNumber": "(val)",
"leadUnit": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonUnitId": "(val)",
"institutionalProposalContactId": "(val)",
"unitNumber": "(val)",
"leadUnit": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Institutional Proposal Person UnitsGET/instprop/api/v1/institutional-proposal-person-units/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"institutionalProposalPersonUnitId",
"institutionalProposalContactId",
"unitNumber",
"leadUnit"
],
"primaryKey": "institutionalProposalPersonUnitId"
}Get Blueprint API specification for Institutional Proposal Person UnitsGET/instprop/api/v1/institutional-proposal-person-units/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Person Units.md"
transfer-encoding: chunkedUpdate Institutional Proposal Person UnitsPUT/instprop/api/v1/institutional-proposal-person-units/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"institutionalProposalPersonUnitId": "(val)",
"institutionalProposalContactId": "(val)",
"unitNumber": "(val)",
"leadUnit": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Institutional Proposal Person UnitsPUT/instprop/api/v1/institutional-proposal-person-units/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"institutionalProposalPersonUnitId": "(val)",
"institutionalProposalContactId": "(val)",
"unitNumber": "(val)",
"leadUnit": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonUnitId": "(val)",
"institutionalProposalContactId": "(val)",
"unitNumber": "(val)",
"leadUnit": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Institutional Proposal Person UnitsPATCH/instprop/api/v1/institutional-proposal-person-units/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"institutionalProposalPersonUnitId": "(val)",
"institutionalProposalContactId": "(val)",
"unitNumber": "(val)",
"leadUnit": "(val)",
"_primaryKey": "(val)"
}204Body
{
"institutionalProposalPersonUnitId": "(val)",
"institutionalProposalContactId": "(val)",
"unitNumber": "(val)",
"leadUnit": "(val)",
"_primaryKey": "(val)"
}Insert Institutional Proposal Person UnitsPOST/instprop/api/v1/institutional-proposal-person-units/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"institutionalProposalPersonUnitId": "(val)",
"institutionalProposalContactId": "(val)",
"unitNumber": "(val)",
"leadUnit": "(val)",
"_primaryKey": "(val)"
}201Body
{
"institutionalProposalPersonUnitId": "(val)",
"institutionalProposalContactId": "(val)",
"unitNumber": "(val)",
"leadUnit": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Institutional Proposal Person UnitsPOST/instprop/api/v1/institutional-proposal-person-units/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"institutionalProposalPersonUnitId": "(val)",
"institutionalProposalContactId": "(val)",
"unitNumber": "(val)",
"leadUnit": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonUnitId": "(val)",
"institutionalProposalContactId": "(val)",
"unitNumber": "(val)",
"leadUnit": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"institutionalProposalPersonUnitId": "(val)",
"institutionalProposalContactId": "(val)",
"unitNumber": "(val)",
"leadUnit": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalPersonUnitId": "(val)",
"institutionalProposalContactId": "(val)",
"unitNumber": "(val)",
"leadUnit": "(val)",
"_primaryKey": "(val)"
}
]Delete Institutional Proposal Person Units by KeyDELETE/instprop/api/v1/institutional-proposal-person-units/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Institutional Proposal Person UnitsDELETE/instprop/api/v1/institutional-proposal-person-units/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Institutional Proposal Person Units with MatchingDELETE/instprop/api/v1/institutional-proposal-person-units/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- institutionalProposalPersonUnitId
string(optional)InstitutionalProposalPersonUnit ID. Maximum length is 8. Validating pattern is ^[0-9]*$.
- institutionalProposalContactId
string(optional)- unitNumber
string(optional)Unit Number. Maximum length is 20. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- leadUnit
string(optional)Lead Unit flag. Maximum length is 1. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Institutional Proposal Persons ¶
Get Institutional Proposal Persons by KeyGET/instprop/api/v1/institutional-proposal-persons/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"institutionalProposalContactId": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"fullName": "(val)",
"academicYearEffort": "(val)",
"calendarYearEffort": "(val)",
"summerEffort": "(val)",
"totalEffort": "(val)",
"faculty": "(val)",
"includeInCreditAllocation": "(val)",
"roleCode": "(val)",
"keyPersonRole": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
}Get All Institutional Proposal PersonsGET/instprop/api/v1/institutional-proposal-persons/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"institutionalProposalContactId": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"fullName": "(val)",
"academicYearEffort": "(val)",
"calendarYearEffort": "(val)",
"summerEffort": "(val)",
"totalEffort": "(val)",
"faculty": "(val)",
"includeInCreditAllocation": "(val)",
"roleCode": "(val)",
"keyPersonRole": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalContactId": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"fullName": "(val)",
"academicYearEffort": "(val)",
"calendarYearEffort": "(val)",
"summerEffort": "(val)",
"totalEffort": "(val)",
"faculty": "(val)",
"includeInCreditAllocation": "(val)",
"roleCode": "(val)",
"keyPersonRole": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
}
]Get All Institutional Proposal Persons with FilteringGET/instprop/api/v1/institutional-proposal-persons/
Example URI
- institutionalProposalContactId
string(optional)InstitutionalProposal Contact ID. Maximum length is 8. Validating pattern is ^[0-9]*$.
- personId
string(optional)- rolodexId
string(optional)- fullName
string(optional)Full Name. Maximum length is 90. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- academicYearEffort
string(optional)Academic Year Effort. Maximum length is 7. Validating pattern is ^([0-9]{0,3}.[0-9]{1,2}|[0-9]{1,3})$.
- calendarYearEffort
string(optional)Calendar Year Effort. Maximum length is 7. Validating pattern is ^([0-9]{0,3}.[0-9]{1,2}|[0-9]{1,3})$.
- summerEffort
string(optional)Summer Effort. Maximum length is 7. Validating pattern is ^([0-9]{0,3}.[0-9]{1,2}|[0-9]{1,3})$.
- totalEffort
string(optional)Total Effort. Maximum length is 7. Validating pattern is ^([0-9]{0,3}.[0-9]{1,2}|[0-9]{1,3})$.
- faculty
string(optional)Faculty flag. Maximum length is 1. Validating pattern is .*.
- includeInCreditAllocation
string(optional)Include in Credit Allocation. Maximum length is 1. Validating pattern is .*.
- roleCode
string(optional)- keyPersonRole
string(optional)Project Role. Maximum length is 60. Validating pattern is .*.
- proposalNumber
string(optional)Institutional Proposal Number. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.
- sequenceNumber
string(optional)Sequence Number. Maximum length is 4. Validating pattern is ^[0-9]*$.
- institutionalProposal.proposalId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"institutionalProposalContactId": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"fullName": "(val)",
"academicYearEffort": "(val)",
"calendarYearEffort": "(val)",
"summerEffort": "(val)",
"totalEffort": "(val)",
"faculty": "(val)",
"includeInCreditAllocation": "(val)",
"roleCode": "(val)",
"keyPersonRole": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalContactId": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"fullName": "(val)",
"academicYearEffort": "(val)",
"calendarYearEffort": "(val)",
"summerEffort": "(val)",
"totalEffort": "(val)",
"faculty": "(val)",
"includeInCreditAllocation": "(val)",
"roleCode": "(val)",
"keyPersonRole": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Institutional Proposal PersonsGET/instprop/api/v1/institutional-proposal-persons/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"institutionalProposalContactId",
"personId",
"rolodexId",
"fullName",
"academicYearEffort",
"calendarYearEffort",
"summerEffort",
"totalEffort",
"faculty",
"includeInCreditAllocation",
"roleCode",
"keyPersonRole",
"proposalNumber",
"sequenceNumber",
"institutionalProposal.proposalId"
],
"primaryKey": "institutionalProposalContactId"
}Get Blueprint API specification for Institutional Proposal PersonsGET/instprop/api/v1/institutional-proposal-persons/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Persons.md"
transfer-encoding: chunkedUpdate Institutional Proposal PersonsPUT/instprop/api/v1/institutional-proposal-persons/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"institutionalProposalContactId": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"fullName": "(val)",
"academicYearEffort": "(val)",
"calendarYearEffort": "(val)",
"summerEffort": "(val)",
"totalEffort": "(val)",
"faculty": "(val)",
"includeInCreditAllocation": "(val)",
"roleCode": "(val)",
"keyPersonRole": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Institutional Proposal PersonsPUT/instprop/api/v1/institutional-proposal-persons/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"institutionalProposalContactId": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"fullName": "(val)",
"academicYearEffort": "(val)",
"calendarYearEffort": "(val)",
"summerEffort": "(val)",
"totalEffort": "(val)",
"faculty": "(val)",
"includeInCreditAllocation": "(val)",
"roleCode": "(val)",
"keyPersonRole": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalContactId": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"fullName": "(val)",
"academicYearEffort": "(val)",
"calendarYearEffort": "(val)",
"summerEffort": "(val)",
"totalEffort": "(val)",
"faculty": "(val)",
"includeInCreditAllocation": "(val)",
"roleCode": "(val)",
"keyPersonRole": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Institutional Proposal PersonsPATCH/instprop/api/v1/institutional-proposal-persons/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"institutionalProposalContactId": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"fullName": "(val)",
"academicYearEffort": "(val)",
"calendarYearEffort": "(val)",
"summerEffort": "(val)",
"totalEffort": "(val)",
"faculty": "(val)",
"includeInCreditAllocation": "(val)",
"roleCode": "(val)",
"keyPersonRole": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
}204Body
{
"institutionalProposalContactId": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"fullName": "(val)",
"academicYearEffort": "(val)",
"calendarYearEffort": "(val)",
"summerEffort": "(val)",
"totalEffort": "(val)",
"faculty": "(val)",
"includeInCreditAllocation": "(val)",
"roleCode": "(val)",
"keyPersonRole": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
}Institutional Proposal Science Keywords ¶
Get Institutional Proposal Science Keywords by KeyGET/instprop/api/v1/institutional-proposal-science-keywords/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"proposalScienceKeywordId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"scienceKeywordCode": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
}Get All Institutional Proposal Science KeywordsGET/instprop/api/v1/institutional-proposal-science-keywords/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"proposalScienceKeywordId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"scienceKeywordCode": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
},
{
"proposalScienceKeywordId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"scienceKeywordCode": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
}
]Get All Institutional Proposal Science Keywords with FilteringGET/instprop/api/v1/institutional-proposal-science-keywords/
Example URI
- proposalScienceKeywordId
string(optional)Proposal Science Code Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- proposalNumber
string(optional)Proposal Number. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.
- sequenceNumber
string(optional)Sequence Number. Maximum length is 22. Validating pattern is ^[0-9]*$.
- scienceKeywordCode
string(optional)Science Code. Maximum length is 15. Validating pattern is ^[A-Za-z0-9]*$.
- institutionalProposal.proposalId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"proposalScienceKeywordId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"scienceKeywordCode": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
},
{
"proposalScienceKeywordId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"scienceKeywordCode": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Institutional Proposal Science KeywordsGET/instprop/api/v1/institutional-proposal-science-keywords/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"proposalScienceKeywordId",
"proposalNumber",
"sequenceNumber",
"scienceKeywordCode",
"institutionalProposal.proposalId"
],
"primaryKey": "proposalScienceKeywordId"
}Get Blueprint API specification for Institutional Proposal Science KeywordsGET/instprop/api/v1/institutional-proposal-science-keywords/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Science Keywords.md"
transfer-encoding: chunkedInstitutional Proposal Special Review Exemptions ¶
Get Institutional Proposal Special Review Exemptions by KeyGET/instprop/api/v1/institutional-proposal-special-review-exemptions/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"proposalSpecialReviewExemptionId": "(val)",
"exemptionTypeCode": "(val)",
"institutionalProposalSpecialReview.proposalSpecialReviewId": "(val)",
"_primaryKey": "(val)"
}Get All Institutional Proposal Special Review ExemptionsGET/instprop/api/v1/institutional-proposal-special-review-exemptions/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"proposalSpecialReviewExemptionId": "(val)",
"exemptionTypeCode": "(val)",
"institutionalProposalSpecialReview.proposalSpecialReviewId": "(val)",
"_primaryKey": "(val)"
},
{
"proposalSpecialReviewExemptionId": "(val)",
"exemptionTypeCode": "(val)",
"institutionalProposalSpecialReview.proposalSpecialReviewId": "(val)",
"_primaryKey": "(val)"
}
]Get All Institutional Proposal Special Review Exemptions with FilteringGET/instprop/api/v1/institutional-proposal-special-review-exemptions/
Example URI
- proposalSpecialReviewExemptionId
string(optional)Proposal Special Review Exemption Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- exemptionTypeCode
string(optional)Exemption #. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- institutionalProposalSpecialReview.proposalSpecialReviewId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"proposalSpecialReviewExemptionId": "(val)",
"exemptionTypeCode": "(val)",
"institutionalProposalSpecialReview.proposalSpecialReviewId": "(val)",
"_primaryKey": "(val)"
},
{
"proposalSpecialReviewExemptionId": "(val)",
"exemptionTypeCode": "(val)",
"institutionalProposalSpecialReview.proposalSpecialReviewId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Institutional Proposal Special Review ExemptionsGET/instprop/api/v1/institutional-proposal-special-review-exemptions/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"proposalSpecialReviewExemptionId",
"exemptionTypeCode",
"institutionalProposalSpecialReview.proposalSpecialReviewId"
],
"primaryKey": "proposalSpecialReviewExemptionId"
}Get Blueprint API specification for Institutional Proposal Special Review ExemptionsGET/instprop/api/v1/institutional-proposal-special-review-exemptions/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Special Review Exemptions.md"
transfer-encoding: chunkedUpdate Institutional Proposal Special Review ExemptionsPUT/instprop/api/v1/institutional-proposal-special-review-exemptions/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"proposalSpecialReviewExemptionId": "(val)",
"exemptionTypeCode": "(val)",
"institutionalProposalSpecialReview.proposalSpecialReviewId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Institutional Proposal Special Review ExemptionsPUT/instprop/api/v1/institutional-proposal-special-review-exemptions/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"proposalSpecialReviewExemptionId": "(val)",
"exemptionTypeCode": "(val)",
"institutionalProposalSpecialReview.proposalSpecialReviewId": "(val)",
"_primaryKey": "(val)"
},
{
"proposalSpecialReviewExemptionId": "(val)",
"exemptionTypeCode": "(val)",
"institutionalProposalSpecialReview.proposalSpecialReviewId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Institutional Proposal Special Review ExemptionsPATCH/instprop/api/v1/institutional-proposal-special-review-exemptions/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"proposalSpecialReviewExemptionId": "(val)",
"exemptionTypeCode": "(val)",
"institutionalProposalSpecialReview.proposalSpecialReviewId": "(val)",
"_primaryKey": "(val)"
}204Body
{
"proposalSpecialReviewExemptionId": "(val)",
"exemptionTypeCode": "(val)",
"institutionalProposalSpecialReview.proposalSpecialReviewId": "(val)",
"_primaryKey": "(val)"
}Insert Institutional Proposal Special Review ExemptionsPOST/instprop/api/v1/institutional-proposal-special-review-exemptions/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"proposalSpecialReviewExemptionId": "(val)",
"exemptionTypeCode": "(val)",
"institutionalProposalSpecialReview.proposalSpecialReviewId": "(val)",
"_primaryKey": "(val)"
}201Body
{
"proposalSpecialReviewExemptionId": "(val)",
"exemptionTypeCode": "(val)",
"institutionalProposalSpecialReview.proposalSpecialReviewId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Institutional Proposal Special Review ExemptionsPOST/instprop/api/v1/institutional-proposal-special-review-exemptions/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"proposalSpecialReviewExemptionId": "(val)",
"exemptionTypeCode": "(val)",
"institutionalProposalSpecialReview.proposalSpecialReviewId": "(val)",
"_primaryKey": "(val)"
},
{
"proposalSpecialReviewExemptionId": "(val)",
"exemptionTypeCode": "(val)",
"institutionalProposalSpecialReview.proposalSpecialReviewId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"proposalSpecialReviewExemptionId": "(val)",
"exemptionTypeCode": "(val)",
"institutionalProposalSpecialReview.proposalSpecialReviewId": "(val)",
"_primaryKey": "(val)"
},
{
"proposalSpecialReviewExemptionId": "(val)",
"exemptionTypeCode": "(val)",
"institutionalProposalSpecialReview.proposalSpecialReviewId": "(val)",
"_primaryKey": "(val)"
}
]Delete Institutional Proposal Special Review Exemptions by KeyDELETE/instprop/api/v1/institutional-proposal-special-review-exemptions/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Institutional Proposal Special Review ExemptionsDELETE/instprop/api/v1/institutional-proposal-special-review-exemptions/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Institutional Proposal Special Review Exemptions with MatchingDELETE/instprop/api/v1/institutional-proposal-special-review-exemptions/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- proposalSpecialReviewExemptionId
string(optional)Proposal Special Review Exemption Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- exemptionTypeCode
string(optional)Exemption #. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- institutionalProposalSpecialReview.proposalSpecialReviewId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Institutional Proposal Special Reviews ¶
Get Institutional Proposal Special Reviews by KeyGET/instprop/api/v1/institutional-proposal-special-reviews/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"proposalSpecialReviewId": "(val)",
"specialReviewNumber": "(val)",
"specialReviewTypeCode": "(val)",
"approvalTypeCode": "(val)",
"protocolNumber": "(val)",
"applicationDate": "(val)",
"approvalDate": "(val)",
"expirationDate": "(val)",
"comments": "(val)",
"protocolStatus": "(val)",
"sequenceOwner.proposalId": "(val)",
"_primaryKey": "(val)"
}Get All Institutional Proposal Special ReviewsGET/instprop/api/v1/institutional-proposal-special-reviews/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"proposalSpecialReviewId": "(val)",
"specialReviewNumber": "(val)",
"specialReviewTypeCode": "(val)",
"approvalTypeCode": "(val)",
"protocolNumber": "(val)",
"applicationDate": "(val)",
"approvalDate": "(val)",
"expirationDate": "(val)",
"comments": "(val)",
"protocolStatus": "(val)",
"sequenceOwner.proposalId": "(val)",
"_primaryKey": "(val)"
},
{
"proposalSpecialReviewId": "(val)",
"specialReviewNumber": "(val)",
"specialReviewTypeCode": "(val)",
"approvalTypeCode": "(val)",
"protocolNumber": "(val)",
"applicationDate": "(val)",
"approvalDate": "(val)",
"expirationDate": "(val)",
"comments": "(val)",
"protocolStatus": "(val)",
"sequenceOwner.proposalId": "(val)",
"_primaryKey": "(val)"
}
]Get All Institutional Proposal Special Reviews with FilteringGET/instprop/api/v1/institutional-proposal-special-reviews/
Example URI
- proposalSpecialReviewId
string(optional)Proposal Special Review Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- specialReviewNumber
string(optional)Special Review Number. Maximum length is 22. Validating pattern is ^[0-9]*$.
- specialReviewTypeCode
string(optional)Special Review Type Code. Maximum length is 30. Validating pattern is ^[\p{Graph}]*$.
- approvalTypeCode
string(optional)Approval Status Type Code. Maximum length is 30. Validating pattern is ^[\p{Graph}]*$.
- protocolNumber
string(optional)Compliance Identifier. Maximum length is 20. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- applicationDate
string(optional)Application Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- approvalDate
string(optional)Approval Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- expirationDate
string(optional)Expiration Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- comments
string(optional)Comments. Maximum length is 2000. Validating pattern is .*.
- protocolStatus
string(optional)Protocol Status. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
- sequenceOwner.proposalId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"proposalSpecialReviewId": "(val)",
"specialReviewNumber": "(val)",
"specialReviewTypeCode": "(val)",
"approvalTypeCode": "(val)",
"protocolNumber": "(val)",
"applicationDate": "(val)",
"approvalDate": "(val)",
"expirationDate": "(val)",
"comments": "(val)",
"protocolStatus": "(val)",
"sequenceOwner.proposalId": "(val)",
"_primaryKey": "(val)"
},
{
"proposalSpecialReviewId": "(val)",
"specialReviewNumber": "(val)",
"specialReviewTypeCode": "(val)",
"approvalTypeCode": "(val)",
"protocolNumber": "(val)",
"applicationDate": "(val)",
"approvalDate": "(val)",
"expirationDate": "(val)",
"comments": "(val)",
"protocolStatus": "(val)",
"sequenceOwner.proposalId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Institutional Proposal Special ReviewsGET/instprop/api/v1/institutional-proposal-special-reviews/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"proposalSpecialReviewId",
"specialReviewNumber",
"specialReviewTypeCode",
"approvalTypeCode",
"protocolNumber",
"applicationDate",
"approvalDate",
"expirationDate",
"comments",
"protocolStatus",
"sequenceOwner.proposalId"
],
"primaryKey": "proposalSpecialReviewId"
}Get Blueprint API specification for Institutional Proposal Special ReviewsGET/instprop/api/v1/institutional-proposal-special-reviews/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Special Reviews.md"
transfer-encoding: chunkedUpdate Institutional Proposal Special ReviewsPUT/instprop/api/v1/institutional-proposal-special-reviews/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"proposalSpecialReviewId": "(val)",
"specialReviewNumber": "(val)",
"specialReviewTypeCode": "(val)",
"approvalTypeCode": "(val)",
"protocolNumber": "(val)",
"applicationDate": "(val)",
"approvalDate": "(val)",
"expirationDate": "(val)",
"comments": "(val)",
"protocolStatus": "(val)",
"sequenceOwner.proposalId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Institutional Proposal Special ReviewsPUT/instprop/api/v1/institutional-proposal-special-reviews/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"proposalSpecialReviewId": "(val)",
"specialReviewNumber": "(val)",
"specialReviewTypeCode": "(val)",
"approvalTypeCode": "(val)",
"protocolNumber": "(val)",
"applicationDate": "(val)",
"approvalDate": "(val)",
"expirationDate": "(val)",
"comments": "(val)",
"protocolStatus": "(val)",
"sequenceOwner.proposalId": "(val)",
"_primaryKey": "(val)"
},
{
"proposalSpecialReviewId": "(val)",
"specialReviewNumber": "(val)",
"specialReviewTypeCode": "(val)",
"approvalTypeCode": "(val)",
"protocolNumber": "(val)",
"applicationDate": "(val)",
"approvalDate": "(val)",
"expirationDate": "(val)",
"comments": "(val)",
"protocolStatus": "(val)",
"sequenceOwner.proposalId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Institutional Proposal Special ReviewsPATCH/instprop/api/v1/institutional-proposal-special-reviews/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"proposalSpecialReviewId": "(val)",
"specialReviewNumber": "(val)",
"specialReviewTypeCode": "(val)",
"approvalTypeCode": "(val)",
"protocolNumber": "(val)",
"applicationDate": "(val)",
"approvalDate": "(val)",
"expirationDate": "(val)",
"comments": "(val)",
"protocolStatus": "(val)",
"sequenceOwner.proposalId": "(val)",
"_primaryKey": "(val)"
}204Body
{
"proposalSpecialReviewId": "(val)",
"specialReviewNumber": "(val)",
"specialReviewTypeCode": "(val)",
"approvalTypeCode": "(val)",
"protocolNumber": "(val)",
"applicationDate": "(val)",
"approvalDate": "(val)",
"expirationDate": "(val)",
"comments": "(val)",
"protocolStatus": "(val)",
"sequenceOwner.proposalId": "(val)",
"_primaryKey": "(val)"
}Institutional Proposal Unit Contacts ¶
Get Institutional Proposal Unit Contacts by KeyGET/instprop/api/v1/institutional-proposal-unit-contacts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"institutionalProposalContactId": "(val)",
"personId": "(val)",
"fullName": "(val)",
"unitContactType": "(val)",
"unitAdministratorTypeCode": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
}Get All Institutional Proposal Unit ContactsGET/instprop/api/v1/institutional-proposal-unit-contacts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"institutionalProposalContactId": "(val)",
"personId": "(val)",
"fullName": "(val)",
"unitContactType": "(val)",
"unitAdministratorTypeCode": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalContactId": "(val)",
"personId": "(val)",
"fullName": "(val)",
"unitContactType": "(val)",
"unitAdministratorTypeCode": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
}
]Get All Institutional Proposal Unit Contacts with FilteringGET/instprop/api/v1/institutional-proposal-unit-contacts/
Example URI
- institutionalProposalContactId
string(optional)- personId
string(optional)- fullName
string(optional)- unitContactType
string(optional)- unitAdministratorTypeCode
string(optional)Project Role. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- proposalNumber
string(optional)- sequenceNumber
string(optional)- institutionalProposal.proposalId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"institutionalProposalContactId": "(val)",
"personId": "(val)",
"fullName": "(val)",
"unitContactType": "(val)",
"unitAdministratorTypeCode": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
},
{
"institutionalProposalContactId": "(val)",
"personId": "(val)",
"fullName": "(val)",
"unitContactType": "(val)",
"unitAdministratorTypeCode": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
"institutionalProposal.proposalId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Institutional Proposal Unit ContactsGET/instprop/api/v1/institutional-proposal-unit-contacts/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"institutionalProposalContactId",
"personId",
"fullName",
"unitContactType",
"unitAdministratorTypeCode",
"proposalNumber",
"sequenceNumber",
"institutionalProposal.proposalId"
],
"primaryKey": "institutionalProposalContactId"
}Get Blueprint API specification for Institutional Proposal Unit ContactsGET/instprop/api/v1/institutional-proposal-unit-contacts/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Unit Contacts.md"
transfer-encoding: chunkedInstitutional Proposal Unrecovered F And As ¶
Get Institutional Proposal Unrecovered F And As by KeyGET/instprop/api/v1/institutional-proposal-unrecovered-f-and-as/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"proposalUnrecoveredFandAId": "(val)",
"proposalNumber": "(val)",
"sequenceNumber": "(val)",
[...]
